<span class="ql-formats">
    <button class="ql-bold"></button>
    <button class="ql-italic"></button>
    <button class="ql-underline"></button>
    <button class="ql-strike"></button>
</span>

<span class="ql-formats">
    <button class="ql-align" value=""></button>
    <button class="ql-align" value="center"></button>
    <button class="ql-align" value="right"></button>
    <button class="ql-align" value="justify"></button>
    
    <button class="ql-list" value="ordered"></button>
    <button class="ql-list" value="bullet"></button>
    
    <button class="ql-script" value="sub"></button>
    <button class="ql-script" value="super"></button>
</span>

<span class="ql-formats">
    <select class="ql-size">
        @foreach (var size in Sizes)
        {
            <option value="@size.Value" selected="@GetSizeSelected(size.Value)">@size.Key</option>
        }
    </select>
    
    <select class="ql-header">
        <option value="1">标题1</option>
        <option value="2">标题2</option>
        <option value="3">标题3</option>
        <option value="4">标题4</option>
        <option value="5">标题5</option>
        <option selected="">正文</option>
    </select>
</span>

<span class="ql-formats">
    <select class="ql-color"></select>
    <select class="ql-background"></select>
    <button class="ql-link"></button>
    @if (IsImageEnable == true)
    {
        <button class="ql-image"></button>
    }
</span>

<span class="ql-formats">
    <button class="ql-clean"></button>
</span>

@code
{
    private static string? GetSizeSelected(string? value) => value == null ? "selected" : null;
    public static readonly KeyValuePair<string, string?>[] Sizes = {
        new("小号", "14px"),
        new("标准", null),
        new("大号", "18px"),
        new("特大号", "20px")
    };

    public static string[] FontSizes => Sizes.Where(p => p.Value != null).Select(p => p.Value!).ToArray();

    [Parameter] public bool? IsImageEnable { get; set; }
}
